Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSSolidFill

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSFillStyle
              com.flagstone.transform.FSSolidFill

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSSolidFill

extends FSFillStyle

FSSolidFill defines a solid colour that is used to fill an enclosed area in a shape.

Attributes
type | Identifies the data structure when it is encoded.
color | The colour used to fill the area of the shape.

The parent class, FSFillStyle allows the type to be set. This should only be used for manipulating bitmap and gradient fill styles.

Fill styles are selected using the FSShapeStyle class and are referenced by their ordinal position in the array of available styles. The ordinal position in the array is used rather than the index (which starts at 0). An index of 0 is used to specify that a fill style is not selected.

# Examples

An FSSolidFill object is created by specifying the colour to fill the shape:

     FSColor red = new FSColor(255, 0, 0);

     FSSolidFill fill = new FSSolidFill(red);

Shapes can be filled with transparent colours - rather than specifying that the entire shape is transparent when adding it to the display list using the FSPlaceObject2 class:

     FSColor transparentRed = new FSColor(255, 0, 0, 128);

     FSSolidFill transparentFill = new FSSolidFill(transparentRed);

Note however that the object used to create the shape definition determines whether the alpha channel is encoded. Simply specifying the level of transparency in the FSColor object is not sufficient. Transparent colours are only supports in Flash 3 onwards.

To reference different colours to fill a shape use the ordinal position of the FSSolidFill object in the array of fill styles defined in the shape:

#

###

###

###

###

###

###

###

###

###

###

###

      ArrayList fillStyles = new ArrayList();
      fillStyles.add(new FSSolidFill(new FSColor(255, 0, 0))); // red
      fillStyles.add(new FSSolidFill(new FSColor(0, 255, 0))); // green

      FSShape shape = new FSShape(); \n";

      // The fill styles are referenced by their ordinal position in the
      // array of styles.
      int redStyle = 1;
      int greenStyle = 2;

      // fill the enclosed area with red.
      shape.add(new FSShapeStyle(0, redStyle, 0));
      ...
      // now fill the remaining area with green.
      shape.add(new FSShapeStyle(0, greenStyle, 0));

     History

     The FSSolidFill class represents the FillStyle structure from the
     Macromedia Flash (SWF) File Format Specification. It was introduced in
     Flash 1.

    Field Summary

    Fields inherited from class com.flagstone.transform.FSFillStyle

    Clipped, Linear, Radial, Solid, Tiled, type, Unsmoothed_Clipped, Unsmoothed_Tiled

    Constructor Summary

    FSSolidFill(FSCoder coder)

              Construct an FSSolidFill object, initialising it with values decoded from
     an encoded object.

    FSSolidFill(FSColor aColor)

              Constructs an FSSolidFill object of the specified colour.

    FSSolidFill(FSSolidFill obj)

              Constructs an FSSolidFill object by copying values from an existing
     object.

    Method Summary

     void
    appendDescription(java.lang.StringBuffer buffer,
                      int depth)

              AppendDescription is used to present a string description of the object
     including all nested objects up to a specified depth.

     java.lang.Object
    clone()

              Creates a deep copy of the entire object.

     void
    decode(FSCoder coder)

     void
    encode(FSCoder coder)

     boolean
    equals(java.lang.Object anObject)

              Returns true if anObject is equal to this one.

     FSColor
    getColor()

              Gets the colour of the fill style.

     int
    length(FSCoder coder)

     void
    setColor(FSColor aColor)

              Sets the colour of the fill style.

    Methods inherited from class com.flagstone.transform.FSFillStyle

    getType, setType

    Methods inherited from class com.flagstone.transform.FSTransformObject

    name, toString

    Methods inherited from class java.lang.Object

    finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

    Constructor Detail

    FSSolidFill

    public FSSolidFill(FSCoder coder)

    Construct an FSSolidFill object, initialising it with values decoded from
     an encoded object.

    Parameters:coder - an FSCoder containing the binary data.

    FSSolidFill

    public FSSolidFill(FSColor aColor)

    Constructs an FSSolidFill object of the specified colour.

    Parameters:aColor - an FSColor object that defines the colour that the area will
                be filled with.

    FSSolidFill

    public FSSolidFill(FSSolidFill obj)

    Constructs an FSSolidFill object by copying values from an existing
     object.

    Parameters:obj - an FSSolidFill object.

    Method Detail

    getColor

    public FSColor getColor()

    Gets the colour of the fill style.

    Returns:the colour defined for the solid fill.

    setColor

    public void setColor(FSColor aColor)

    Sets the colour of the fill style.

    Parameters:aColor - an FSColor object that defines the colour that the area will
                be filled with.

    clone

    public java.lang.Object clone()

    Description copied from class: FSTransformObject
    Creates a deep copy of the entire object.

    Overrides:clone in class FSTransformObject

    Returns:a copy of the object.

    equals

    public boolean equals(java.lang.Object anObject)

    Description copied from class: FSFillStyle
    Returns true if anObject is equal to this one. Objects are considered
     equal if they would generate identical binary data when they are encoded
     to a Flash file.

    Overrides:equals in class FSFillStyle

    Returns:true if this object would be identical to anObject when encoded.

    appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

    Description copied from class: FSTransformObject
    AppendDescription is used to present a string description of the object
     including all nested objects up to a specified depth. This method provide
     a more controlled way of creating a string representation of an object
     since large objects such as font or shape definitions can contain dozens
     of nested objects.

     The representation of the object is appended to the StringBuffer, showing
     the name of the class and values of the attributes it contains. If the
     object contains any attributes that are objects then the object graph
     will be traversed up to the specified depth. If objects are nested at a
     level less than specified depth then the full string representation of
     the object is displayed. For objects at the specified depth only the name
     of the class is displayed. Any objects below this depth are not
     displayed.

    Specified by:appendDescription in class FSTransformObject

    Parameters:buffer - a StringBuffer to which the description of each object is
                appended.depth - the maximum level of nesting up to which objects will be
                displayed.

    length

    public int length(FSCoder coder)

    Overrides:length in class FSFillStyle

    encode

    public void encode(FSCoder coder)

    Overrides:encode in class FSFillStyle

    decode

    public void decode(FSCoder coder)

    Overrides:decode in class FSFillStyle

          Overview
          Package
        Class
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD